Skip to main content
POST
/
bundles
/
{bundleId}
/
apply-proposal
Apply a proposal to a bundle
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/buyer/bundles/{bundleId}/apply-proposal \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "proposalId": "proposal_abc123"
}
'
{
  "bundleId": "<string>",
  "proposal": {
    "proposalId": "<string>",
    "name": "<string>",
    "salesAgentName": "<string>"
  },
  "totalBudgetUsed": 123,
  "productsApplied": 0,
  "productsSkipped": [
    "<string>"
  ],
  "products": [
    {
      "productId": "<string>",
      "salesAgentId": "<string>",
      "selectedAt": "<string>",
      "groupId": "<string>",
      "groupName": "<string>",
      "cpm": 123,
      "budget": 123
    }
  ],
  "totalProducts": 0,
  "budgetContext": {
    "sessionBudget": 123,
    "allocatedBudget": 123,
    "remainingBudget": 123,
    "budgetWarning": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

bundleId
string
required

Bundle ID

Minimum string length: 1
Example:

"abc123-def456-ghi789"

Body

application/json

Apply a sales agent proposal to auto-add products with recommended budget allocations

proposalId
string
required

Proposal ID from the discover-products response to apply to this bundle

Example:

"proposal_abc123"

totalBudget
number

Total budget to distribute across products. Defaults to the proposal totalBudgetGuidance.recommended.

Required range: x > 0
Example:

50000

replace
boolean

When true, replaces all existing products in the bundle instead of merging

Response

Apply a proposal to a bundle

Response from applying a proposal to a bundle

bundleId
string
required

Bundle ID

proposal
object
required

The proposal that was applied

totalBudgetUsed
number
required

Total budget distributed across products from this proposal

productsApplied
integer
required

Number of products added from the proposal

Required range: -9007199254740991 <= x <= 9007199254740991
productsSkipped
string[]
required

Product IDs from the proposal that could not be found in discovery results

products
object[]
required

All selected products in the bundle after applying the proposal

totalProducts
integer
required

Total number of selected products in the bundle

Required range: -9007199254740991 <= x <= 9007199254740991
budgetContext
object

Budget allocation context